# Copyright (c) 1991-2007 Kawahara Lab., Kyoto University
# Copyright (c) 2000-2005 Shikano Lab., Nara Institute of Science and Technology
# Copyright (c) 2005-2007 Julius project team, Nagoya Institute of Technology
# All rights reserved

SHELL=/bin/sh
RM=@RM@ -f
prefix=@prefix@
exec_prefix=@exec_prefix@
INSTALL=@INSTALL@

TARGET=mkdfa.pl
SUBDIR=mkfa-1.44-flex

all:
	(cd $(SUBDIR); $(MAKE))
	chmod +x $(TARGET)

install:
	(cd $(SUBDIR); $(MAKE) install)
	${INSTALL} -d @bindir@
	@INSTALL_PROGRAM@ $(TARGET) @bindir@

install.bin:
	(cd $(SUBDIR); $(MAKE) install.bin)
	${INSTALL} -d @bindir@
	@INSTALL_PROGRAM@ $(TARGET) @bindir@

clean:
	(cd $(SUBDIR); $(MAKE) clean)

distclean:
	if test -f $(SUBDIR)/Makefile; then \
	  (cd $(SUBDIR); $(MAKE) distclean); \
	fi
	$(RM) mkdfa.pl
	$(RM) Makefile
